Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.util
Class Dumper

    java.lang.Object
      |
      +--org.netbeans.jemmy.util.Dumper

public class Dumper
extends java.lang.Object

Allows to "dump" current GUI state into XML file. Uses operators' getDump methods to gather the information.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Constructor Summary
`Dumper()`

Method Summary
`static void` | `dumpAll(java.io.PrintStream writer)` Prints all component hierarchy (GUI dump).
`static void` | `dumpAll(java.io.PrintWriter writer)` Prints all component hierarchy (GUI dump).
`static void` | `dumpAll(java.lang.String fileName)` Prints component hierarchy (GUI dump) into file.
`static void` | `dumpComponent(java.awt.Component comp, java.io.PrintStream writer)` Prints component hierarchy (GUI dump).
`static void` | `dumpComponent(java.awt.Component comp, java.io.PrintWriter writer)` Prints component hierarchy (GUI dump) starting from `comp` component.
`static void` | `dumpComponent(java.awt.Component comp, java.lang.String fileName)` Prints component hierarchy (GUI dump) into file.
`static void` | `printDTD(java.io.PrintStream writer)` Prints XML DTD information.
`static void` | `printDTD(java.io.PrintWriter writer)` Prints XML DTD information.
`static void` | `printDTD(java.lang.String fileName)` Prints XML DTD information into file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dumper

    public Dumper()

Method Detail

### printDTD

    public static void printDTD(java.io.PrintWriter writer)

  Prints XML DTD information.
  Parameters:
    `writer` - a writer to write to.

### printDTD

    public static void printDTD(java.io.PrintStream writer)

  Prints XML DTD information.
  Parameters:
    `writer` - a stream to write to.

### printDTD

    public static void printDTD(java.lang.String fileName)
                         throws java.io.FileNotFoundException

  Prints XML DTD information into file.
  Parameters:
    `fileName` - a file to write to.
  Throws:
    `java.io.FileNotFoundException` -

### dumpComponent

    public static void dumpComponent(java.awt.Component comp,
                                     java.io.PrintWriter writer)

  Prints component hierarchy (GUI dump) starting from `comp` component.
  Parameters:
    `comp` - a component to get information from.
    `writer` - a writer to write to.

### dumpComponent

    public static void dumpComponent(java.awt.Component comp,
                                     java.io.PrintStream writer)

  Prints component hierarchy (GUI dump). starting from `comp` component.
  Parameters:
    `comp` - a component to get information from.
    `writer` - a stream to write to.

### dumpComponent

    public static void dumpComponent(java.awt.Component comp,
                                     java.lang.String fileName)
                              throws java.io.FileNotFoundException

  Prints component hierarchy (GUI dump) into file.
  Parameters:
    `comp` - a component to get information from.
    `fileName` - a file to write to.
  Throws:
    `java.io.FileNotFoundException` -

### dumpAll

    public static void dumpAll(java.io.PrintWriter writer)

  Prints all component hierarchy (GUI dump).
  Parameters:
    `writer` - a writer to write to.

### dumpAll

    public static void dumpAll(java.io.PrintStream writer)

  Prints all component hierarchy (GUI dump).
  Parameters:
    `writer` - a stream to write to.

### dumpAll

    public static void dumpAll(java.lang.String fileName)
                        throws java.io.FileNotFoundException

  Prints component hierarchy (GUI dump) into file.
  Parameters:
    `fileName` - a file to write to.
  Throws:
    `java.io.FileNotFoundException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD